<?php
    //Realiza la consulta:
    $consulta = "SELECT * FROM idiomas;";
    $resultado = mysql_query($consulta) or die(mysql_error());

    //Guarda los resultados de la consulta, que contienen los idiomas, en dos matrices:
    $idiomas = $idiomas_clave = Array();
    $idiomas[$idioma_por_defecto_clave] = $idioma_por_defecto;
    while ($row = mysql_fetch_assoc($resultado))
    {
        $idiomas[$row["idioma"]] = $row["texto"]; //Matriz idioma_clave => idioma.
        $idiomas_clave[] = $row["idioma"]; //Matriz clave_numerica => idioma_clave.
    }
    
    //Si se ha enviado, se almacena el idioma solicitado:
    if (isset($HTTP_GET_VARS["idioma"]))
    {
        $idioma_solicitado = trim($HTTP_GET_VARS["idioma"]);
    } else { $idioma_solicitado = $idioma_por_defecto_clave; }

    //Si el idioma solicitado no existe en la base de datos o no se ha enviado o se ha enviado vacio, se setea el idioma por defecto:
    if (isset($idioma_solicitado) && !in_array($idioma_solicitado, $idiomas_clave) || !isset($idioma_solicitado) || isset($idioma_solicitado) && $idioma_solicitado == "")
    {
        $idioma_usado = $idioma_por_defecto_clave;
    }
    //...pero si no, se pone el idioma solicitado:
    else { $idioma_usado = $idioma_solicitado; }
?>
